<?php
/**
 * @package WavypointPopUps
 */
namespace WavypointPopUps\Base;

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

use \WavypointPopUps\Base\BaseController;

class Enqueue extends BaseController
{
    public function register() {
		add_action( 'wp_enqueue_scripts', array( $this, 'enqueue' ) );
		add_action('admin_enqueue_scripts', array( $this, 'wavypoint_enqueue_google_fonts' ) );
	}

    public function enqueue() {
		// enqueue all scripts
		wp_enqueue_style( 'main', $this->plugin_url . 'assets/css/style.css' );
		wp_enqueue_script( 'confetti', $this->plugin_url . 'assets/js/confetti.min.js' );
		wp_enqueue_script( 'main', $this->plugin_url . 'assets/js/script.js', array('jquery') );
	}

	public function wavypoint_enqueue_google_fonts() {

    wp_enqueue_style( 'main', $this->plugin_url . 'assets/css/admin.css' );

	// Roboto
    wp_enqueue_style(
        'google-font-roboto',
        'https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap',
        [],
        null
    );

    // Poppins
    wp_enqueue_style(
        'google-font-poppins',
        'https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap',
        [],
        null
    );

    // Open Sans
    wp_enqueue_style(
        'google-font-open-sans',
        'https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap',
        [],
        null
    );

    // Almarai (Arabic)
    wp_enqueue_style(
        'google-font-almarai',
        'https://fonts.googleapis.com/css2?family=Almarai:wght@400;700&display=swap',
        [],
        null
    );

    // Cairo (Arabic)
    wp_enqueue_style(
        'google-font-cairo',
        'https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap',
        [],
        null
    );
   
	}

  
}